﻿using System.IO;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.ServiceModel;
using System.Windows;
using Vertrag;

namespace Server
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ServiceHost sh = new ServiceHost(typeof(Cservice));            

            string Host = System.Net.Dns.GetHostName(); // Name im Netzwerk
            var IPAddress = Dns.GetHostEntry(Host).AddressList.First(adr => adr.AddressFamily != AddressFamily.InterNetworkV6); //gibt ipv4 zurück

            FileInfo fi = new FileInfo(System.Windows.Forms.Application.ExecutablePath); // Pfad von .txt-Datei im Debug-Verzeichnis vom Server
            string path;
            path = fi.DirectoryName + "\\Portnummer.txt";
            string portnummer;
           
            portnummer = File.ReadAllText(path);    // liest Portnummer aus .txt heraus            
            
            sh.AddServiceEndpoint(typeof(Ivertrag), new NetTcpBinding(SecurityMode.None), "net.tcp://" + IPAddress + ":" + portnummer + "/IvertragAsynchron");
            sh.Open();           
            
            string adresse;
            adresse = "Server läuft auf: " + "net.tcp://" + IPAddress + ":" + portnummer + "/IvertragAsynchron";
            txtBoxOben.Text ="Portnummer: " + portnummer+ "\r\n" + adresse;
        }        
    }   
}
